Opened 6 years ago

Closed 5 years ago

#1100 closed defect (wontfix)

I2P installation fails with gij.

Reported by: killyourtv Owned by:
Priority: minor Milestone:
Component: installer Version: 0.9.8.1
Keywords: gij npe Cc:
Parent Tickets: Sensitive: no

Description

In a test vm running Debian Wheezy:

root@debian:~# java -jar install.jar -console
- ERROR -
java.lang.NullPointerException
java.lang.NullPointerException
   at gnu.xml.transform.TransformerImpl.transform(libgcj.so.13)
   at com.izforge.izpack.adaptator.impl.XMLParser.parseLineNrFromInputSource(Unknown Source)
   at com.izforge.izpack.adaptator.impl.XMLParser.parse(Unknown Source)
   at com.izforge.izpack.LocaleDatabase.add(Unknown Source)
   at com.izforge.izpack.LocaleDatabase.<init>(Unknown Source)
   at com.izforge.izpack.installer.ConsoleInstaller.<init>(Unknown Source)
   at com.izforge.izpack.installer.Installer.main(Unknown Source)

root@debian:~# java -version
java version "1.5.0"
gij (GNU libgcj) version 4.7.2

Copyright (C) 2007 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE

Subtickets

Change History (2)

comment:1 Changed 6 years ago by zzz

<zzz> RN that looks like a locale installation problem combined with an izpack bug maybe. Worth a ticket because it might be fixed if we update our ancient izpack
<zzz> or not
<kytv> IIRC I couldn't install it using gij with en_US but I can try again (and see about updating izpack in my workspace)
<RN> mmm….
<RN> if that person was still trying to install on their friend's box I'd investigate further…but the paste isn't enough for a ticket on it's own is it?
<zzz> iirc we're on 4.3.0. 4.3.5 is available, years ago. The 5.x project I think died w/o a release
<zzz> sure, that's enough. not that we're going to fix it anytime soon. but worth remembering
<zzz> even if they got it running it would suck
<kytv> I'll have a clean debian vm ready shortly for testing it.
<kytv> 'our' izpack's newest files are from 2009.
<zzz> I think I tried 4.3.5 before, and it worked, but it didn't seem to have anything useful in it to make it worth the trouble
<zzz> back when we fixed the ukrainian in it
<zzz> ofc if they finally got 5.x out that would be news
<kytv> not sure how easily we could use it. http://jira.codehaus.org/browse/IZPACK-983
<iRelay> Title: #IZPACK-983 IzPack? 5 does not provide standalone-compiler.jar - jira.codehaus.org (at jira.codehaus.org)
<zzz> or that
<kytv> since I could reproduce the gij problem (en_US locale) in a Wheezy VM I filed a ticket.
<RN> the person trying to install for a friend and having the issue I patstethis'd earlier has given permission to tell y'all their nick
<RN> ChrisAM on IRC2P was trying to set it up, so kytv if you don't have the same error when you try it, that's who would want feedback, or can give relevant info…
<dg> as both z zz and k ytv said,
<dg> even if it runs, it's going to be absolute shit
<dg> you don't want gcj at all
<RN> they need new java
<RN> right
<dg>
<RN> told them that

comment:2 Changed 5 years ago by zzz

Resolution: wontfix
Status: newclosed

gcj/gij is more or less dead and we now require Java 6 as of 0.9.12.

Note: See TracTickets for help on using tickets.